Communications

Communications are the individual email and SMS messages sent to contacts through campaigns or instant messages. This is a read-only resource.

The communication model

Properties

  • Name
    id
    Type
    integer
    Description

    Unique identifier for the communication.

  • Name
    communication_type
    Type
    string
    Description

    The type of message: email or sms.

  • Name
    sent
    Type
    boolean
    Description

    Whether the message was successfully sent.

  • Name
    sent_at
    Type
    timestamp
    Description

    When the message was sent.

  • Name
    clicked
    Type
    boolean
    Description

    Whether the contact clicked a link in the message.

  • Name
    manual
    Type
    boolean
    Description

    Whether this was sent as an instant message (vs. campaign automation).

  • Name
    contact_id
    Type
    string
    Description

    ID of the contact who received the message.

  • Name
    campaign_id
    Type
    string
    Description

    ID of the campaign this message belongs to, if applicable.

  • Name
    enrollment_id
    Type
    integer
    Description

    ID of the enrollment that triggered this message, if applicable.

  • Name
    created_at
    Type
    timestamp
    Description

    Timestamp of when the communication record was created.

  • Name
    updated_at
    Type
    timestamp
    Description

    Timestamp of when the communication record was last updated.


GET/v1/communications

List all communications

Optional attributes

  • Name
    type
    Type
    string
    Description

    Filter by type: email or sms.

  • Name
    sent
    Type
    boolean
    Description

    Pass true to return only sent messages.

  • Name
    manual
    Type
    boolean
    Description

    Pass true for instant messages, false for campaign messages.

  • Name
    limit
    Type
    integer
    Description

    Results per page (1–100). Defaults to 25.

  • Name
    page
    Type
    integer
    Description

    Page number. Defaults to 1.

Request

GET
/v1/communications
curl -G https://dashboard.reviewrover.co/api/v1/communications \
  -H "Authorization: Bearer {token}" \
  -d type=email \
  -d sent=true

Response

{
  "communications": [
    {
      "id": 1,
      "communication_type": "email",
      "sent": true,
      "sent_at": "2025-02-17T03:00:00Z",
      "clicked": false,
      "manual": false,
      "contact_id": "cont_KYdl3lftgZXGRbxqoj",
      "campaign_id": "camp_Kd93lftgZXGRbxqoj",
      "enrollment_id": 1,
      "created_at": "2025-02-17T02:00:34Z",
      "updated_at": "2025-02-17T02:00:34Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 25,
    "total": 1,
    "total_pages": 1
  }
}

GET/v1/communications/:id

Retrieve a communication

Retrieves a single communication record by ID.

Request

GET
/v1/communications/1
curl https://dashboard.reviewrover.co/api/v1/communications/1 \
  -H "Authorization: Bearer {token}"